aboutsummaryrefslogtreecommitdiffstats
path: root/math/linux-dislin/files
diff options
context:
space:
mode:
authordes <des@FreeBSD.org>2003-12-14 23:23:22 +0800
committerdes <des@FreeBSD.org>2003-12-14 23:23:22 +0800
commit0ce78785cbaf30dfc0ad7c17f92f1e99c6ec741a (patch)
treedca3509a6459fb47c7f7da27c1d73f7f6bf4b149 /math/linux-dislin/files
parentf766beaca8afe377a750f4df99cd65aefa9090ad (diff)
downloadfreebsd-ports-gnome-0ce78785cbaf30dfc0ad7c17f92f1e99c6ec741a.tar.gz
freebsd-ports-gnome-0ce78785cbaf30dfc0ad7c17f92f1e99c6ec741a.tar.zst
freebsd-ports-gnome-0ce78785cbaf30dfc0ad7c17f92f1e99c6ec741a.zip
The Linux version of the DISLIN scientific data plotting package.
Diffstat (limited to 'math/linux-dislin/files')
-rw-r--r--math/linux-dislin/files/dislin-wrapper.sh19
-rw-r--r--math/linux-dislin/files/pkg-message6
2 files changed, 25 insertions, 0 deletions
diff --git a/math/linux-dislin/files/dislin-wrapper.sh b/math/linux-dislin/files/dislin-wrapper.sh
new file mode 100644
index 000000000000..3292b671be6a
--- /dev/null
+++ b/math/linux-dislin/files/dislin-wrapper.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# Wrapper script for DISLIN binaries.
+#
+# $FreeBSD$
+#
+
+DISLIN=%%DISLIN_DIR%%
+export DISLIN
+
+self="${0##*/}"
+program="${DISLIN}/bin/${self}"
+
+if [ -x "${program}" ] ; then
+ exec "${program}" "$@"
+else
+ echo "${self} does not seem to exist." 1>&2
+ exit 1
+fi
diff --git a/math/linux-dislin/files/pkg-message b/math/linux-dislin/files/pkg-message
new file mode 100644
index 000000000000..5f47813461ea
--- /dev/null
+++ b/math/linux-dislin/files/pkg-message
@@ -0,0 +1,6 @@
+
+ DISLIN is free for non-commercial use on Linux and FreeBSD
+ only. You are advised to familiarize yourself with the terms
+ of license listed in %%DISLIN_DIR%%/DISLIN and on the DISLIN
+ website, http://www.linmpi.mpg.de/dislin/.
+